文本与列表工具
无需上传工作数据即可清理、比较和衡量内容。
居中文本行
在精确的 Unicode 字符宽度内将每一行居中,同时保留空白行并拒绝破坏性截断。
打开工具 →从单词中移除前缀
从匹配的 Unicode 词中移除一个完全相同的前导片段,并保持标点、空格和不匹配的词不变。
打开工具 →从单词中移除后缀
从匹配的 Unicode 单词中精确去除一个结尾,而不扁平化分隔符,也不修改不带该后缀的单词。
打开工具 →在字符之间插入分隔符
在 Unicode 代码点之间放置所选分隔符,不要将表情符号等代理对拆分成无效的半个字符。
打开工具 →引用每一行文本
用双引号、单引号或反引号将每一行括起来,同时保留空行和原始行顺序。
打开工具 →从文本行中删除引号
使用自动或显式引号样式匹配,从每一行中删除一对平衡的外层引号。
打开工具 →逐字引用
将每个 Unicode 单词标记用所选引号字符包围,同时保留逗号、标点和原始空白。
打开工具 →移除单词中的引号
当两侧引号匹配时,分别去除被引号括起来的 Unicode 单词的引号,不要删除散文中无关的引号。
打开工具 →规范空白行
将连续空白行限制为精确的最大数量,同时保留缩进和每一行非空内容。
打开工具 →将空格转换为换行符
将每个以空白分隔的标记放在一行,并确定性地折叠重复的空格、制表符和现有换行符。
打开工具 →将换行符转换为分隔符
使用可配置的分隔符连接非空文本行,同时仅修剪每一行的外部空白字符。
打开工具 →词频分析器
按出现次数对 Unicode 词语进行排序,可调整最小长度、结果上限和区分大小写的比较。
打开工具 →按单词内部字母排序
在每个单词内部独立地对 Unicode 字母和数字进行排序,不移动标点符号或单词本身。
打开工具 →排序所有文本字符
按完整输入中的每个 Unicode 码点进行排序,可选择移除空白字符,并可显式指定升序或降序。
打开工具 →数字 文本 句子
将每个检测到的句子单独放在一行,带有可配置的起始值和三种清晰易读的标记样式。
打开工具 →数字 文本 段落
按空白行分隔的段落编号,同时保留每个段落内部的换行和格式。
打开工具 →重复句子查找器
使用显式区分大小写或不区分大小写的比较,列出重复的完整句子及其次数。
打开工具 →独特句子提取器
保留每个完整句子的首次出现,并根据可选择的大小写规则移除后续重复项。
打开工具 →Base32 文本编码器和解码器
将 UTF-8 文本转换为规范的 RFC 4648 Base32,或严格解码带填充或不带填充的 Base32 值。
打开工具 →Base32hex 文本编码器和解码器
使用 RFC 4648 第 7 节定义的扩展十六进制 Base32 字母表对 UTF-8 进行编码和解码。
打开工具 →Base45 文本编码器和解码器
使用面向二维码数据格式的紧凑型 RFC 9285 Base45 字母表转换 UTF-8 文本。
打开工具 →Base58 比特币文本编码器和解码器
使用 Bitcoin Base58 字母表转换 UTF-8 字节,同时精确保留前导零字节。
打开工具 →Ascii85文本编码器和解码器
将 UTF-8 编码为五字符的 Ascii85 组,或使用可选分隔符和 z 压缩解码严格兼容 Adobe 的数据。
打开工具 →Quoted-Printable 文本编码器和解码器
将 UTF-8 邮件风格文本编码为 RFC 2045 quoted-printable,或解码已验证的大写转义和浏览器规范化的换行符。
打开工具 →本页面没有匹配的工具。